## cctz 2.1~git~a59b930afc8+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(cctz)

set(CMAKE_MODULE_PATH
  ${PROJECT_SOURCE_DIR}/cmake
  ${PROJECT_SOURCE_DIR}/cmake/modules
  ${CMAKE_MODULE_PATH})

include(CheckCXXSymbolExists)
include(CTest)

option(BUILD_EXAMPLES "Whether or not to build examples" ON)

# Starting from CMake >= 3.1, if a specific standard is required,
# it can be set from the command line with:
#     cmake -DCMAKE_CXX_STANDARD=[11|14|17]
function(cctz_target_set_cxx_standard target)
  set(cxx_standard 11)
  if (CMAKE_VERSION VERSION_LESS "3.1")
    if (CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
      target_compile_options(${target} PRIVATE -std=c++${cxx_standard})
    endif()
  elseif (CMAKE_VERSION VERSION_LESS "3.8")
    set_property(TARGET ${target} PROPERTY CXX_STANDARD ${cxx_standard})
  else()
    target_compile_features(${target} PUBLIC cxx_std_${cxx_standard})
  endif()
endfunction()

add_library(cctz
  src/civil_time_detail.cc
  src/time_zone_fixed.cc
  src/time_zone_fixed.h
  src/time_zone_format.cc
  src/time_zone_if.cc
  src/time_zone_if.h
  src/time_zone_impl.cc
  src/time_zone_impl.h
  src/time_zone_info.cc
  src/time_zone_info.h
  src/time_zone_libc.cc
  src/time_zone_libc.h
  src/time_zone_lookup.cc
  src/time_zone_posix.cc
  src/time_zone_posix.h
  src/tzfile.h
  src/zone_info_source.cc
  )
cctz_target_set_cxx_standard(cctz)
add_library(cctz::cctz ALIAS cctz)

target_include_directories(cctz PUBLIC include)

# the getopt_long function used by time_tool is not available on all platforms,
# for example this is not available by default on Windows
if (NOT DEFINED HAVE_GETOPT_LONG)
  set(show_time_tool_msg 1)
endif()
check_cxx_symbol_exists(getopt_long getopt.h HAVE_GETOPT_LONG)
if (HAVE_GETOPT_LONG)
  add_executable(time_tool src/time_tool.cc)
  cctz_target_set_cxx_standard(time_tool)
  target_link_libraries(time_tool cctz::cctz)
elseif(show_time_tool_msg)
    message(STATUS "Disable time_tool as getopt_long is not available")
endif()

if (BUILD_EXAMPLES)
  add_subdirectory(examples)
endif()

if (BUILD_TESTING)
  find_package(benchmark REQUIRED)
  find_package(GMock REQUIRED)
  find_package(GTest REQUIRED)
  find_package(Threads REQUIRED)

  add_executable(civil_time_test src/civil_time_test.cc)
  cctz_target_set_cxx_standard(civil_time_test)
  target_include_directories(civil_time_test PRIVATE ${GTEST_INCLUDE_DIRS})
  target_link_libraries(civil_time_test
    cctz::cctz
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    )
  add_test(civil_time_test civil_time_test)

  add_executable(time_zone_lookup_test src/time_zone_lookup_test.cc)
  cctz_target_set_cxx_standard(time_zone_lookup_test)
  target_include_directories(time_zone_lookup_test PRIVATE ${GTEST_INCLUDE_DIRS})
  target_link_libraries(time_zone_lookup_test
    cctz::cctz
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    )
  add_test(time_zone_lookup_test time_zone_lookup_test)

  add_executable(time_zone_format_test src/time_zone_format_test.cc)
  cctz_target_set_cxx_standard(time_zone_format_test)
  target_link_libraries(time_zone_format_test
    cctz::cctz
    ${CMAKE_THREAD_LIBS_INIT}
    GMock::Main
    )
  add_test(time_zone_format_test time_zone_format_test)

  # tests runs on testdata
  set_property(
    TEST
      civil_time_test
      time_zone_format_test
      time_zone_lookup_test
    PROPERTY
      ENVIRONMENT "TZDIR=${CMAKE_CURRENT_SOURCE_DIR}/testdata/zoneinfo"
    )

  add_executable(benchmarks src/benchmarks.cc)
  cctz_target_set_cxx_standard(benchmarks)
  target_link_libraries(benchmarks cctz::cctz benchmark::benchmark)
endif()

=== Makefile ===
# Copyright 2016 Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

# While Bazel (http://bazel.io) is the primary build system used by cctz,
# this Makefile is provided as a convenience for those who can't use Bazel
# and can't compile the sources in their own build system.
#
# Suggested usage:
#
#   To build locally:
#     make -C build -f ../Makefile SRC=../ -j `nproc`
#
#   To build/install a versioned shared library on Linux:
#     make -C build -f ../Makefile SRC=../ -j `nproc` \
#         SHARED_LDFLAGS='-shared -Wl,-soname,libcctz.so.2' \
#         CCTZ_SHARED_LIB=libcctz.so.2.0 \
#         install install_shared_lib

# local configuration
CXX ?= g++
CXXFLAGS ?= -O3
STD ?= c++11
LDFLAGS ?= -O3
PREFIX ?= /usr/local
DESTDIR ?=

# possible support for googletest
## TESTS = civil_time_test time_zone_lookup_test time_zone_format_test
## TEST_FLAGS = ...
## TEST_LIBS = ...

VPATH = $(SRC)src:$(SRC)examples
CXXFLAGS += -g -Wall -I$(SRC)include -std=$(STD) \
            $(TEST_FLAGS) -fPIC -MMD
ARFLAGS = rcs
LINK.o = $(LINK.cc)
LDLIBS += $(TEST_LIBS)
SHARED_LDFLAGS = -shared
INSTALL = install

CCTZ = cctz
CCTZ_LIB = lib$(CCTZ).a
CCTZ_SHARED_LIB = lib$(CCTZ).so

CCTZ_HDRS = $(SRC)include/cctz/*.h

CCTZ_OBJS =			\
	civil_time_detail.o	\
	time_zone_fixed.o	\
	time_zone_format.o	\
	time_zone_if.o		\
	time_zone_impl.o	\
	time_zone_info.o	\
	time_zone_libc.o	\
	time_zone_lookup.o	\
	time_zone_posix.o       \
	zone_info_source.o

TOOLS = time_tool
EXAMPLES = classic epoch_shift hello example1 example2 example3 example4

all: $(TESTS) $(TOOLS) $(EXAMPLES)

$(TESTS) $(TOOLS) $(EXAMPLES): $(CCTZ_LIB)

$(TESTS:=.o) $(TOOLS:=.o) $(EXAMPLES:=.o):

$(CCTZ_LIB): $(CCTZ_OBJS)
	$(AR) $(ARFLAGS) $@ $(CCTZ_OBJS)

$(CCTZ_SHARED_LIB): $(CCTZ_OBJS)
	$(LINK.o) $(LDFLAGS) $(SHARED_LDFLAGS) -o $@ $(CCTZ_OBJS)

install: install_hdrs install_lib

install_hdrs: $(CCTZ_HDRS)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/include/cctz
	$(INSTALL) -m 644 -p $? $(DESTDIR)$(PREFIX)/include/cctz

install_lib: $(CCTZ_LIB)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/lib
	$(INSTALL) -m 644 -p $? $(DESTDIR)$(PREFIX)/lib

install_shared_lib: $(CCTZ_SHARED_LIB)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/lib
	$(INSTALL) -m 644 -p $? $(DESTDIR)$(PREFIX)/lib

clean:
	@$(RM) $(EXAMPLES:=.dSYM) $(EXAMPLES:=.o) $(EXAMPLES:=.d) $(EXAMPLES)
	@$(RM) $(TOOLS:=.dSYM) $(TOOLS:=.o) $(TOOLS:=.d) $(TOOLS)
	@$(RM) $(TESTS:=.dSYM) $(TESTS:=.o) $(TESTS:=.d) $(TESTS)
	@$(RM) $(CCTZ_OBJS) $(CCTZ_OBJS:.o=.d) $(CCTZ_LIB) $(CCTZ_SHARED_LIB)

-include $(CCTZ_OBJS:.o=.d) $(TESTS:=.d) $(TOOLS:=.d) $(EXAMPLES:=.d)

=== debian/changelog ===
cctz (2.1~git~a59b930afc8+dfsg1-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Dec 2017 09:59:01 +0100

cctz (2.1~git~a59b930afc8+dfsg1-3) unstable; urgency=medium

  * [6306734] Fix concurrent test on 32-bit mips plarforms. (Closes: #881950)

 -- Anton Gladky <gladk@debian.org>  Sun, 19 Nov 2017 13:03:23 +0100

cctz (2.1~git~a59b930afc8+dfsg1-2) unstable; urgency=medium

  * [cb388ba] Disable TimeZones.LoadZonesConcurrently for mips.

 -- Anton Gladky <gladk@debian.org>  Fri, 17 Nov 2017 21:16:35 +0100

cctz (2.1~git~a59b930afc8+dfsg1-1) unstable; urgency=medium

  * Initial upload. (Closes: #881851)

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Nov 2017 10:21:55 +0100

=== debian/control ===
Source: cctz
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               googletest,
               libbenchmark-dev,
               tzdata
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cctz.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cctz.git
Homepage: https://github.com/google/cctz

Package: libcctz-dev
Architecture: any
Section: libdevel
Depends: libcctz2 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libcctz-doc
Recommends: tzdata
Description: Library for computing dates, times and time zones, development files
 CCTZ contains two libraries that cooperate with `<chrono>` to give C++
 programmers all the necessary tools for computing with dates, times, and time
 zones in a simple and correct manner.
 .
 This package contains the development files.

Package: libcctz2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for computing dates, times and time zones, shared library
 CCTZ contains two libraries that cooperate with `<chrono>` to give C++
 programmers all the necessary tools for computing with dates, times, and time
 zones in a simple and correct manner.
 .
 This package contains the shared library.

Package: libcctz-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for computing dates, times and time zones, documentation
 CCTZ contains two libraries that cooperate with `<chrono>` to give C++
 programmers all the necessary tools for computing with dates, times, and time
 zones in a simple and correct manner.
 .
 This package contains tools and documentation and examples.

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/google/cctz/tags .*/(v\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## cctz 2.2%2Bdfsg1

=== debian/changelog ===
cctz (2.2+dfsg1-1) unstable; urgency=medium

  * [98acd74] Update d/watch
  * [198b546] New upstream version 2.2+dfsg1
  * [433ce79] Refresh patches
  * [5931a1f] Set the Standards-Version: 4.1.3
  * [2e438f9] Update VCS-fields

 -- Anton Gladky <gladk@debian.org>  Tue, 20 Feb 2018 22:06:13 +0100

## cctz 2.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,39 @@
   ${PROJECT_SOURCE_DIR}/cmake/modules
   ${CMAKE_MODULE_PATH})
 
-include(CheckCXXSymbolExists)
 include(CTest)
+include(FeatureSummary)
 
 option(BUILD_EXAMPLES "Whether or not to build examples" ON)
+
+if (BUILD_TESTING)
+  find_package(benchmark)
+  set_package_properties(benchmark PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "a microbenchmark support library"
+    URL "https://github.com/google/benchmark"
+  )
+
+  find_package(GMock)
+  set_package_properties(GMock PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "the Google C++ mocking framework"
+    URL "https://github.com/google/googletest"
+  )
+
+  find_package(GTest)
+  set_package_properties(GTest PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "the Google C++ test framework"
+    URL "https://github.com/google/googletest"
+  )
+
+  find_package(Threads)
+  set_package_properties(Threads PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "the system thread library"
+  )
+endif()
 
 # Starting from CMake >= 3.1, if a specific standard is required,
 # it can be set from the command line with:
@@ -52,30 +81,15 @@
 
 target_include_directories(cctz PUBLIC include)
 
-# the getopt_long function used by time_tool is not available on all platforms,
-# for example this is not available by default on Windows
-if (NOT DEFINED HAVE_GETOPT_LONG)
-  set(show_time_tool_msg 1)
-endif()
-check_cxx_symbol_exists(getopt_long getopt.h HAVE_GETOPT_LONG)
-if (HAVE_GETOPT_LONG)
-  add_executable(time_tool src/time_tool.cc)
-  cctz_target_set_cxx_standard(time_tool)
-  target_link_libraries(time_tool cctz::cctz)
-elseif(show_time_tool_msg)
-    message(STATUS "Disable time_tool as getopt_long is not available")
-endif()
+add_executable(time_tool src/time_tool.cc)
+cctz_target_set_cxx_standard(time_tool)
+target_link_libraries(time_tool cctz::cctz)
 
 if (BUILD_EXAMPLES)
   add_subdirectory(examples)
 endif()
 
 if (BUILD_TESTING)
-  find_package(benchmark REQUIRED)
-  find_package(GMock REQUIRED)
-  find_package(GTest REQUIRED)
-  find_package(Threads REQUIRED)
-
   add_executable(civil_time_test src/civil_time_test.cc)
   cctz_target_set_cxx_standard(civil_time_test)
   target_include_directories(civil_time_test PRIVATE ${GTEST_INCLUDE_DIRS})
@@ -119,3 +133,5 @@
   cctz_target_set_cxx_standard(benchmarks)
   target_link_libraries(benchmarks cctz::cctz benchmark::benchmark)
 endif()
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
cctz (2.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * [6ab17e6] Add /usr/src/googletest/*/include to search path.  Closes: #897176.

 -- Steve M. Robbins <smr@debian.org>  Tue, 01 May 2018 20:25:24 -0500

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                googletest,
                libbenchmark-dev,
                tzdata
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cctz.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cctz.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/cctz
+Vcs-Git: https://salsa.debian.org/science-team/cctz.git
 Homepage: https://github.com/google/cctz
 
 Package: libcctz-dev
@@ -18,8 +18,8 @@
 Section: libdevel
 Depends: libcctz2 (= ${binary:Version}),
          ${misc:Depends}
+Recommends: tzdata
 Suggests: libcctz-doc
-Recommends: tzdata
 Description: Library for computing dates, times and time zones, development files
  CCTZ contains two libraries that cooperate with `<chrono>` to give C++
  programmers all the necessary tools for computing with dates, times, and time

## cctz 2.3%2Bdfsg1

=== debian/changelog ===
cctz (2.3+dfsg1-5build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:40:38 +0200

cctz (2.3+dfsg1-5) unstable; urgency=medium

  * [4ea4d40] Trim the kTimeZoneNames[] lists to "real" zones.
              Switch back to tzdata.

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Sep 2023 20:57:41 +0200

cctz (2.3+dfsg1-4) unstable; urgency=medium

  [ Anton Gladky ]
  * [434ca88] Add .gitlab-ci.yml

  [ Janitor ]
  * [f2d6695] Apply multi-arch hints

  [ Anton Gladky ]
  * [fa70f53] Refresh patches
  * [c995bca] Use tzdata-legacy instead of tzdata. (Closes: #1050019)
  * [8c7e732] Set compat-level to 13
              Standards-Version to 4.6.2.
  * [6770455] Install cmake files and some more changes due to dh 13.

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Sep 2023 20:30:20 +0200

cctz (2.3+dfsg1-3) unstable; urgency=medium

  * [143a67c] Do not run benchmark tests on mips

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jan 2020 20:16:33 +0100

cctz (2.3+dfsg1-2) unstable; urgency=medium

  * [b41be51] Shorten changelog-entry
  * [5fd32c2] Fix autopkgtest
  * [0b23e3b] Set upstream metadata fields: Bug-Submit.

 -- Anton Gladky <gladk@debian.org>  Mon, 06 Jan 2020 20:48:24 +0100

cctz (2.3+dfsg1-1) unstable; urgency=medium

  * [87cf4f7] New upstream version 2.3+dfsg1
  * [1d8233f] Refresh patches
  * [ab020a9] Set compat-level 12
  * [d16f0b5] Set Standards-Version to 4.4.1
  * [f816b6a] Set upstream metadata fields: Bug-Database.

 -- Anton Gladky <gladk@debian.org>  Sat, 04 Jan 2020 21:57:54 +0100

## cctz 2.3+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 include(CTest)
 include(FeatureSummary)
 
+option(BUILD_TOOLS "Whether or not to build tools" ON)
 option(BUILD_EXAMPLES "Whether or not to build examples" ON)
 
 if (BUILD_TESTING)
@@ -57,6 +58,16 @@
   endif()
 endfunction()
 
+if(APPLE)
+  find_library(CoreFoundation CoreFoundation)
+endif()
+
+set(CCTZ_HDRS
+  include/cctz/time_zone.h
+  include/cctz/civil_time_detail.h
+  include/cctz/zone_info_source.h
+  include/cctz/civil_time.h
+  )
 add_library(cctz
   src/civil_time_detail.cc
   src/time_zone_fixed.cc
@@ -75,15 +86,24 @@
   src/time_zone_posix.h
   src/tzfile.h
   src/zone_info_source.cc
+  ${CCTZ_HDRS}
   )
 cctz_target_set_cxx_standard(cctz)
+target_include_directories(cctz PUBLIC
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
+  $<INSTALL_INTERFACE:include>
+  )
+set_target_properties(cctz PROPERTIES
+  PUBLIC_HEADER "${CCTZ_HDRS}"
+  )
+target_link_libraries(cctz PUBLIC $<$<PLATFORM_ID:Darwin>:${CoreFoundation}>)  
 add_library(cctz::cctz ALIAS cctz)
 
-target_include_directories(cctz PUBLIC include)
-
-add_executable(time_tool src/time_tool.cc)
-cctz_target_set_cxx_standard(time_tool)
-target_link_libraries(time_tool cctz::cctz)
+if (BUILD_TOOLS)
+  add_executable(time_tool src/time_tool.cc)
+  cctz_target_set_cxx_standard(time_tool)
+  target_link_libraries(time_tool cctz::cctz)
+endif()
 
 if (BUILD_EXAMPLES)
   add_subdirectory(examples)
@@ -129,9 +149,32 @@
       ENVIRONMENT "TZDIR=${CMAKE_CURRENT_SOURCE_DIR}/testdata/zoneinfo"
     )
 
-  add_executable(benchmarks src/benchmarks.cc)
-  cctz_target_set_cxx_standard(benchmarks)
-  target_link_libraries(benchmarks cctz::cctz benchmark::benchmark)
+  add_executable(cctz_benchmark src/cctz_benchmark.cc)
+  cctz_target_set_cxx_standard(cctz_benchmark)
+  target_link_libraries(cctz_benchmark cctz::cctz benchmark::benchmark_main)
 endif()
 
+# Install
+include(GNUInstallDirs)
+install(TARGETS cctz
+  EXPORT ${PROJECT_NAME}-targets
+  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/cctz
+  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  )
+if (BUILD_TOOLS)
+  install(TARGETS time_tool
+    EXPORT ${PROJECT_NAME}-targets
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    )
+endif()
+set(CMAKE_INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
+install(EXPORT ${PROJECT_NAME}-targets
+  NAMESPACE cctz::
+  DESTINATION ${CMAKE_INSTALL_CONFIGDIR}
+  )
+install(FILES cmake/${PROJECT_NAME}-config.cmake
+  DESTINATION ${CMAKE_INSTALL_CONFIGDIR}
+  )
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
-#   http://www.apache.org/licenses/LICENSE-2.0
+#   https://www.apache.org/licenses/LICENSE-2.0
 #
 #   Unless required by applicable law or agreed to in writing, software
 #   distributed under the License is distributed on an "AS IS" BASIS,
@@ -12,7 +12,7 @@
 #   See the License for the specific language governing permissions and
 #   limitations under the License.
 
-# While Bazel (http://bazel.io) is the primary build system used by cctz,
+# While Bazel (https://bazel.io) is the primary build system used by cctz,
 # this Makefile is provided as a convenience for those who can't use Bazel
 # and can't compile the sources in their own build system.
 #

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: cctz
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper-compat (= 13),
                googletest,
                libbenchmark-dev,
                tzdata
-Standards-Version: 4.1.3
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/cctz
 Vcs-Git: https://salsa.debian.org/science-team/cctz.git
 Homepage: https://github.com/google/cctz
 
 Package: libcctz-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libcctz2 (= ${binary:Version}),
          ${misc:Depends}
@@ -42,6 +44,7 @@
 
 Package: libcctz-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --buildsystem=cmake

VERSION ?= $(shell echo $(DEB_VERSION_UPSTREAM) | cut -f1 -d"~")
SOVERSION ?= $(shell echo $(DEB_VERSION_UPSTREAM) | cut -f1 -d".")

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TOOLS=OFF -DVERSION="$(VERSION)" -DSOVERSION="$(SOVERSION)"

## cctz 2.4%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --buildsystem=cmake

VERSION ?= $(shell echo $(DEB_VERSION_UPSTREAM) | cut -f1 -d"-")
SOVERSION ?= $(shell echo $(DEB_VERSION_UPSTREAM) | cut -f1 -d"+")

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TOOLS=OFF -DVERSION="$(VERSION)" -DSOVERSION="$(SOVERSION)"

## cctz 2.4+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 cmake_minimum_required(VERSION 2.8.12)
+
+if (POLICY CMP0025)
+  cmake_policy(SET CMP0025 NEW)
+endif()
 
 project(cctz)
 
@@ -12,14 +16,17 @@
 
 option(BUILD_TOOLS "Whether or not to build tools" ON)
 option(BUILD_EXAMPLES "Whether or not to build examples" ON)
+option(BUILD_BENCHMARK "Whether or not to build the benchmark application (has no effect if BUILD_TESTING is disabled)" ON)
 
 if (BUILD_TESTING)
-  find_package(benchmark)
-  set_package_properties(benchmark PROPERTIES
-    TYPE REQUIRED
-    DESCRIPTION "a microbenchmark support library"
-    URL "https://github.com/google/benchmark"
-  )
+  if (BUILD_BENCHMARK)
+    find_package(benchmark)
+    set_package_properties(benchmark PROPERTIES
+      TYPE REQUIRED
+      DESCRIPTION "a microbenchmark support library"
+      URL "https://github.com/google/benchmark"
+    )
+  endif()
 
   find_package(GMock)
   set_package_properties(GMock PROPERTIES
@@ -96,7 +103,9 @@
 set_target_properties(cctz PROPERTIES
   PUBLIC_HEADER "${CCTZ_HDRS}"
   )
-target_link_libraries(cctz PUBLIC $<$<PLATFORM_ID:Darwin>:${CoreFoundation}>)  
+if(APPLE)
+  target_link_libraries(cctz PUBLIC ${CoreFoundation})
+endif()
 add_library(cctz::cctz ALIAS cctz)
 
 if (BUILD_TOOLS)
@@ -149,9 +158,11 @@
       ENVIRONMENT "TZDIR=${CMAKE_CURRENT_SOURCE_DIR}/testdata/zoneinfo"
     )
 
-  add_executable(cctz_benchmark src/cctz_benchmark.cc)
-  cctz_target_set_cxx_standard(cctz_benchmark)
-  target_link_libraries(cctz_benchmark cctz::cctz benchmark::benchmark_main)
+  if (BUILD_BENCHMARK)
+    add_executable(cctz_benchmark src/cctz_benchmark.cc)
+    cctz_target_set_cxx_standard(cctz_benchmark)
+    target_link_libraries(cctz_benchmark cctz::cctz benchmark::benchmark_main)
+  endif()
 endif()
 
 # Install
@@ -159,13 +170,14 @@
 install(TARGETS cctz
   EXPORT ${PROJECT_NAME}-targets
   PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/cctz
+  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
   )
 if (BUILD_TOOLS)
   install(TARGETS time_tool
     EXPORT ${PROJECT_NAME}-targets
-    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    DESTINATION ${CMAKE_INSTALL_BINDIR}
     )
 endif()
 set(CMAKE_INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
@@ -177,4 +189,10 @@
   DESTINATION ${CMAKE_INSTALL_CONFIGDIR}
   )
 
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+if (CMAKE_VERSION VERSION_LESS "3.8")
+  set(quiet_on_empty "")
+else()
+  set(quiet_on_empty QUIET_ON_EMPTY)
+endif()
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES ${quiet_on_empty})

=== examples/CMakeLists.txt ===
add_executable(classic classic.cc)
cctz_target_set_cxx_standard(classic)
target_link_libraries(classic)

add_executable(hello hello.cc)
cctz_target_set_cxx_standard(hello)
target_link_libraries(hello cctz::cctz)

add_executable(epoch_shift epoch_shift.cc)
cctz_target_set_cxx_standard(epoch_shift)
target_link_libraries(epoch_shift cctz::cctz)

add_executable(example1 example1.cc)
cctz_target_set_cxx_standard(example1)
target_link_libraries(example1 cctz::cctz)

add_executable(example2 example2.cc)
cctz_target_set_cxx_standard(example2)
target_link_libraries(example2 cctz::cctz)

add_executable(example3 example3.cc)
cctz_target_set_cxx_standard(example3)
target_link_libraries(example3 cctz::cctz)

add_executable(example4 example4.cc)
cctz_target_set_cxx_standard(example4)
target_link_libraries(example4 cctz::cctz)

=== debian/changelog ===
cctz (2.4+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * [6be7ee3] Bump CMake policy version (Closes: #1112769)
  * [478d945] Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Sep 2025 22:13:03 +0200

cctz (2.4+dfsg1-2) unstable; urgency=medium

  * [16401e7] Update zoneinfo files to 2024b. (Closes: #1084245)

 -- Anton Gladky <gladk@debian.org>  Thu, 17 Oct 2024 21:26:43 +0200

cctz (2.4+dfsg1-1) unstable; urgency=medium

  * [1e77b23] New upstream version 2.4+dfsg1. (Closes: #1084245)
  * [690f047] Refresh patches
  * [55bc9a0] Set Standards-Version to 4.7.0

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Oct 2024 22:36:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cctz
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
@@ -8,8 +7,9 @@
                debhelper-compat (= 13),
                googletest,
                libbenchmark-dev,
-               tzdata
-Standards-Version: 4.6.2
+               tzdata (>=2024b),
+               tzdata-legacy (>=2024b)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/cctz
 Vcs-Git: https://salsa.debian.org/science-team/cctz.git
 Homepage: https://github.com/google/cctz
@@ -18,9 +18,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcctz2 (= ${binary:Version}),
+Depends: libcctz2.4 (= ${binary:Version}),
          ${misc:Depends}
-Recommends: tzdata
+Recommends: tzdata, tzdata-legacy
 Suggests: libcctz-doc
 Description: Library for computing dates, times and time zones, development files
  CCTZ contains two libraries that cooperate with `<chrono>` to give C++
@@ -29,7 +29,7 @@
  .
  This package contains the development files.
 
-Package: libcctz2
+Package: libcctz2.4
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},

=== debian/tests/control ===
Tests: all
Depends: libcctz-dev, build-essential

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/google/cctz/tags .*/v?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
